package logssvc

import (
	"fmt"
	adsdomain "legalgo-BE-go/internal/domain/ads"
)

func (i *impl) GetAllLogAds(userID string) ([]adsdomain.Ads, error) {
	var (
		logs []adsdomain.Ads
		err  error
	)

	logs, err = i.logsRepo.GetAllLogAds(userID)
	if err != nil {
		return logs, fmt.Errorf("failed to get user logs ads: %v", err)
	}

	return logs, nil
}
